MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001482XdebugInstallationpublic2017-10-18 16:552017-12-02 16:19
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.6.0alpha1 
Summary0001482: Change Travis configuration so that it does not run tests even if the compile fails
DescriptionFigure out why Travis continues running tests even if the compile fails

https://travis-ci.org/xdebug/xdebug/jobs/289544780 [^]
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4
Attached Files

- Relationships

-  Notes
(0004444)
remi (reporter)
2017-10-18 17:08
edited on: 2017-10-18 17:09

Not directly related to this, but in RPM build we use

SKIP_SLOW_TESTS=1 \
TEST_PHP_EXECUTABLE=$(which php) \
TEST_PHP_ARGS="-n -d zend_extension=$PWD/modules/xdebug.so -d xdebug.auto_trace=0" \
NO_INTERACTION=1 \
REPORT_EXIT_STATUS=1 \
php -n run-tests.php --show-diff

Main benefits:

- no php.ini, only rely on
  - buitin defaults
  - specified CLI options
- no risk to use the system installed module

And this now works, thanks to https://github.com/xdebug/xdebug/commit/db46ff6bc2b3401ac7f4c90b699b005ad678db44 [^]


- Issue History
Date Modified Username Field Change
2017-10-18 16:55 derick New Issue
2017-10-18 17:08 remi Note Added: 0004444
2017-10-18 17:08 remi Note Edited: 0004444 View Revisions
2017-10-18 17:09 remi Note Edited: 0004444 View Revisions
2017-10-20 23:48 derick Summary Figure out why Travis continues running tests even if the compile fails => Change Travis configuration so that it does not run tests even if the compile fails
2017-10-20 23:49 derick Status new => closed
2017-10-20 23:49 derick Assigned To => derick
2017-10-20 23:49 derick Resolution open => fixed
2017-10-20 23:49 derick Fixed in Version => 2.5.6
2017-12-02 15:56 derick Fixed in Version 2.5.6 => 2.6.0dev
2017-12-02 16:19 derick Fixed in Version 2.6.0dev => 2.6.0alpha1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker